import java.awt.*;
import java.awt.image.BufferedImage;

import javax.swing.*;

import java.util.*;

public class ShowImagesPanel extends JPanel 
{
	// Collection of all the loaded images
	private ArrayList<BufferedImage> images = new ArrayList<BufferedImage>();
	
	// Index position of the currently display image
	private int current = 0;
	
	// Add another image to the slide show
	public void addImage(BufferedImage image)
	{
	    // TODO 2: Add the image to our list of images
	}

	// Inner-class that implements a worker thread that cycles the
	// image every second and forces a repaint of the panel.
	class ShowWorker implements Runnable
	{
		public void run()
		{
			while (true)
			{
				// TODO 2: Cycle the image index number
				current = 0;
				
				// Make sure the next image gets drawn by paintComponent()
				repaint();
								
				// Sleep for one second
				try
				{
					Thread.sleep(1000);
				}
				catch (InterruptedException e)
				{
					e.printStackTrace();
				}
			}
		}
	}
	
	// Start the thread that changes the image index to display 
	// every second and forcing a repaint.
	public void startShow()
	{
	    // TODO 2: Create a thread to handle cycling the images using the inner class ShowWorker
		Thread t = null;
		
		if (t != null)
		    t.start();
	}

	// Repaint the current image in the slideshow
	@Override
	public void paintComponent(Graphics g) 
	{
		// Erase any previous drawing since it may be bigger than current one
		super.paintComponent(g);
		
		// Make sure current index is in bounds
		if ((current >= 0) && (current < images.size()))
		{
			// TODO 2: Now draw the current image on the panel 
		}
	}
}
